Legacy (v0)
List the milestone items of a subscription's coming orders
The Subscription Pro milestone items owed to the subscription’s coming orders (planned or deferred) and those on its unpaid order (on_order), oldest first: rule gifts and one-time items an admin added. Requires the subscriptions view permission and an admin, and the milestone_items feature to work for the company: Subscription Pro active, the release flag on and the merchant setting on. Responses are not cached.
GET
/
api
/
subscriptions
/
{token}
/
milestone_items
List the milestone items of a subscription's coming orders
curl --request GET \
--url https://api.fluid.app/api/subscriptions/{token}/milestone_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscriptions/{token}/milestone_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscriptions/{token}/milestone_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscriptions/{token}/milestone_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscriptions/{token}/milestone_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscriptions/{token}/milestone_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscriptions/{token}/milestone_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"milestone_items": [
{
"id": 5521,
"subscription_token": "sb_8f2c1d9e7a",
"source": "manual",
"status": "planned",
"deferral_reason": null,
"rule_id": null,
"rule_name": null,
"occurrence_key": "manual:6a1f0c2e-3b4d-4e5f-8a9b-0c1d2e3f4a5b",
"item_key": "manual:6a1f0c2e-3b4d-4e5f-8a9b-0c1d2e3f4a5b",
"variant_id": 9012,
"variant_title": "Classic Watch",
"main_variant_id": 9012,
"substituted": false,
"quantity": 1,
"unit_price": "0.00",
"currency_code": "USD",
"volume_policy": "zero",
"removable": true,
"order_id": null,
"created_at": "2026-10-11T09:12:44Z",
"updated_at": "2026-10-11T09:12:44Z"
}
],
"meta": {
"request_id": "3e8b1f2a-6c4d-4a7e-9b10-2d5f8c3a1e67",
"timestamp": "2026-10-11T09:13:02Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
List the milestone items of a subscription's coming orders
curl --request GET \
--url https://api.fluid.app/api/subscriptions/{token}/milestone_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscriptions/{token}/milestone_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscriptions/{token}/milestone_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscriptions/{token}/milestone_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscriptions/{token}/milestone_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscriptions/{token}/milestone_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscriptions/{token}/milestone_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"milestone_items": [
{
"id": 5521,
"subscription_token": "sb_8f2c1d9e7a",
"source": "manual",
"status": "planned",
"deferral_reason": null,
"rule_id": null,
"rule_name": null,
"occurrence_key": "manual:6a1f0c2e-3b4d-4e5f-8a9b-0c1d2e3f4a5b",
"item_key": "manual:6a1f0c2e-3b4d-4e5f-8a9b-0c1d2e3f4a5b",
"variant_id": 9012,
"variant_title": "Classic Watch",
"main_variant_id": 9012,
"substituted": false,
"quantity": 1,
"unit_price": "0.00",
"currency_code": "USD",
"volume_policy": "zero",
"removable": true,
"order_id": null,
"created_at": "2026-10-11T09:12:44Z",
"updated_at": "2026-10-11T09:12:44Z"
}
],
"meta": {
"request_id": "3e8b1f2a-6c4d-4a7e-9b10-2d5f8c3a1e67",
"timestamp": "2026-10-11T09:13:02Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}